Consume a fresh code proof for a customer session
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Customer-Auth-Intent: <api-key>' \
--header 'X-Customer-Challenge: <api-key>' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify"
payload = { "code": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Customer-Auth-Intent": "<api-key>",
"X-Customer-Challenge": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Customer-Auth-Intent': '<api-key>',
'X-Customer-Challenge': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Customer-Auth-Intent: <api-key>",
"X-Customer-Challenge: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify"
payload := strings.NewReader("{\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Customer-Auth-Intent", "<api-key>")
req.Header.Add("X-Customer-Challenge", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Customer-Auth-Intent", "<api-key>")
.header("X-Customer-Challenge", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Customer-Auth-Intent"] = '<api-key>'
request["X-Customer-Challenge"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 4503599627370495,
"accessExpiresAt": "2023-11-07T05:31:56Z",
"refreshExpiresAt": "2023-11-07T05:31:56Z",
"accessToken": "<string>",
"refreshToken": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Customer Auth
Consume a fresh code proof for a customer session
POST
/
merchant
/
{merchantSlug}
/
auth
/
challenges
/
{challengeId}
/
verify
Consume a fresh code proof for a customer session
curl --request POST \
--url https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-Customer-Auth-Intent: <api-key>' \
--header 'X-Customer-Challenge: <api-key>' \
--data '
{
"code": "<string>"
}
'import requests
url = "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify"
payload = { "code": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-Customer-Auth-Intent": "<api-key>",
"X-Customer-Challenge": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-Customer-Auth-Intent': '<api-key>',
'X-Customer-Challenge': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({code: '<string>'})
};
fetch('https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>",
"X-Customer-Auth-Intent: <api-key>",
"X-Customer-Challenge: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify"
payload := strings.NewReader("{\n \"code\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("X-Customer-Auth-Intent", "<api-key>")
req.Header.Add("X-Customer-Challenge", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify")
.header("Idempotency-Key", "<idempotency-key>")
.header("X-Customer-Auth-Intent", "<api-key>")
.header("X-Customer-Challenge", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"code\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.craveup.com/api/v1/storefront/merchant/{merchantSlug}/auth/challenges/{challengeId}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["X-Customer-Auth-Intent"] = '<api-key>'
request["X-Customer-Challenge"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"code\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generation": 4503599627370495,
"accessExpiresAt": "2023-11-07T05:31:56Z",
"refreshExpiresAt": "2023-11-07T05:31:56Z",
"accessToken": "<string>",
"refreshToken": "<string>"
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}{
"code": "VALIDATION_ERROR",
"message": "<string>",
"requestId": "<string>",
"details": {}
}Authorizations
Original 256-bit client admission/replay secret, never a verification proof.
Purpose-limited challenge capability, paired with the original intent secret.
Headers
Caller-stable key reused only for retries of this exact request.
Required string length:
16 - 128Pattern:
^[A-Za-z0-9._:-]{16,128}$Path Parameters
Required string length:
1 - 128Required string length:
1 - 128Body
application/json
Required string length:
1 - 128Response
Opaque customer session grant; no provider identity is exposed.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Required range:
0 < x <= 9007199254740991Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Pattern:
^[a-f0-9]{64}$Pattern:
^[a-f0-9]{64}$